@import url("https://fonts.googleapis.com/css2?family=Great+Vibes&family=Josefin+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap");
/*===== Font Family =====*/
/*===== Colors =====*/
/*===== Font Sizes =====*/
/*===== Animation Duration =====*/
/*===== Social Media Colors Lists =====*/
/*===== Colors =====*/
/*===== Font Size =====*/
@keyframes slideshow {
  0% {
    visibility: hidden;
    opacity: 0;
  }
  2% {
    visibility: visible;
    opacity: 1;
  }
  18% {
    visibility: visible;
    opacity: 1;
  }
  20% {
    visibility: hidden;
    opacity: 0;
  }
  100% {
    visibility: hidden;
    opacity: 0;
  }
}
ul {
  list-style-type: none;
}

a:link, a:visited {
  text-decoration: none;
}

.container {
  display: grid;
  grid-template-rows: repeat(4, min-content);
  grid-template-columns: repeat(2, minmax(6rem, 1fr)) repeat(8, minmax(min-content, 16rem)) repeat(2, minmax(6rem, 1fr));
  gap: 1.6rem 0.8rem;
  background-color: #f2f0f1;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  font-family: "Josefin Sans", sans-serif;
}
@media only screen and (max-width: 47.5em) {
  html {
    font-size: 56.25%;
  }
}
@media only screen and (max-width: 35em) {
  html {
    font-size: 50%;
  }
}

.btn {
  width: 16rem;
  height: 4rem;
  display: flex;
  justify-content: space-around;
  align-items: center;
  position: relative;
}
.btn:hover .btn-bg {
  width: 18rem;
}
.btn:hover .btn-text {
  color: #ffe;
}
.btn:hover .arrow {
  transform: translateX(1rem);
}
.btn:hover .arrow-line-1 {
  width: 2rem;
}
.btn-bg {
  width: 4rem;
  height: 4rem;
  background-color: #333;
  border-radius: 5rem;
  position: absolute;
  left: 0;
  transition: all 0.2s;
}
.btn-text {
  font-size: 1.6rem;
  text-transform: uppercase;
  color: #333;
  z-index: 10;
}
.btn .arrow {
  display: flex;
  justify-content: center;
  align-items: center;
  transition: transform 0.2s;
}
.btn .arrow-line {
  height: 0.2rem;
  background-color: #ffe;
  position: absolute;
  transform-origin: right;
}
.btn .arrow-line-1 {
  width: 0;
  transform: translateX(-0.7rem);
  transition: width 0.2s;
}
.btn .arrow-line-2 {
  width: 1rem;
  transform: rotateZ(45deg);
}
.btn .arrow-line-3 {
  width: 1rem;
  transform: rotateZ(-45deg);
}

.product-desc__btn {
  display: block;
  font-size: 1.6rem;
  color: #f5b149;
  padding: 0.5rem 1rem;
  border: 0.1rem solid #f5b149;
  border-radius: 5px;
  background-color: #666666;
}
@media only screen and (max-width: 62.5em) {
  .product-desc__btn {
    padding: 0.2rem 0.5rem;
  }
}
@media only screen and (max-width: 35em) {
  .product-desc__btn {
    padding: 0.5rem 0.7rem;
    width: 10rem;
  }
}

.dropdown-li {
  position: relative;
}
.dropdown-li::after {
  font-family: "Font Awesome 6 Free";
  content: "\f078";
  font-weight: bold;
}
.dropdown-li:hover .dropdown {
  visibility: visible;
  opacity: 1;
}

.dropdown {
  position: absolute;
  top: 3rem;
  right: -2.8rem;
  width: 10rem;
  background-color: #e6e2e4;
  padding: 1rem;
  text-align: center;
  border-radius: 0.2rem;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s;
}
.dropdown__list {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 100%;
}
.dropdown__link:link, .dropdown__link:visited {
  font-size: 1.8rem;
  color: #333;
  transition: all 0.3s;
}
.dropdown__link:hover, .dropdown__link:active {
  color: #999999;
}
.dropdown::before {
  content: "";
  display: block;
  position: absolute;
  top: -1.5rem;
  left: 5.2rem;
  border-right: 15px solid transparent;
  border-bottom: 15px solid #e6e2e4;
  border-left: 15px solid transparent;
}
.dropdown__item {
  margin: 1rem 0;
}
.dropdown__link:link, .dropdown__link:visited {
  font-weight: 300;
  font-size: 1.6rem;
}

.heading {
  grid-row: 2 / 3;
  grid-column: 1 / -1;
  justify-self: center;
  align-self: center;
}
.heading__text {
  font-family: "Great Vibes", cursive;
  font-size: 6rem;
  font-weight: lighter;
  letter-spacing: 0.5rem;
}

.logo {
  grid-row: 1 / 2;
  grid-column: 1 / 2;
  padding: 1rem;
}
.logo__img {
  width: 10rem;
  height: 100%;
}

.product {
  position: relative;
}
.product:hover .product-desc {
  visibility: visible;
  opacity: 1;
}
.product:hover .product__img {
  opacity: 0.5;
}
.product__img {
  width: 100%;
  transition: all 0.8s 0.5s;
}
.product-desc {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(255, 255, 238, 0.6);
  padding: 2rem;
  border: 0.1rem solid #333;
  border-radius: 0.5rem;
  color: #333;
  text-align: center;
  visibility: hidden;
  opacity: 0;
  transition: all 0.8s 0.5s;
}
@media only screen and (max-width: 62.5em) {
  .product-desc {
    padding: 1rem;
  }
}
@media only screen and (max-width: 35em) {
  .product-desc {
    background-color: transparent;
    border: none;
  }
}
.product-desc__heading {
  font-size: 3rem;
}
@media only screen and (max-width: 62.5em) {
  .product-desc__heading {
    font-size: 2rem;
  }
}
@media only screen and (max-width: 35em) {
  .product-desc__heading {
    display: none;
  }
}
.product-desc__price {
  font-size: 2.5rem;
  font-weight: 300;
  margin: 1rem 0;
}
@media only screen and (max-width: 62.5em) {
  .product-desc__price {
    font-size: 1.8rem;
  }
}
@media only screen and (max-width: 35em) {
  .product-desc__price {
    display: none;
  }
}
.product-desc__price > span {
  font-weight: 600;
}

.header {
  grid-row: 1 / 2;
  grid-column: 1 / -1;
  display: grid;
  grid-template-rows: repeat(3, min-content);
  grid-template-columns: minmax(10rem, 1fr) repeat(7, minmax(min-content, 16rem)) minmax(10rem, 1fr);
  gap: 2rem;
  z-index: 10;
}

.footer {
  grid-row: 4 / -1;
  grid-column: 1 / -1;
  display: flex;
  justify-content: space-around;
  align-items: start;
  padding: 5rem 0;
  border-top: 0.1rem solid rgba(51, 51, 51, 0.3);
}
@media only screen and (max-width: 62.5em) {
  .footer {
    flex-wrap: wrap;
  }
}
.footer-nav__heading {
  font-size: 2.5rem;
  color: #333;
}
.footer-nav__item {
  margin: 1rem 0;
}
.footer-nav__link:link, .footer-nav__link:visited {
  font-size: 1.6rem;
  color: #595959;
  transition: all 0.2s;
}
.footer-nav__link:hover, .footer-nav__link:active {
  color: #8c8c8c;
}
@media only screen and (max-width: 62.5em) {
  .footer-contact {
    padding: 0 10rem;
    order: 1;
    margin-top: 4rem;
  }
}
.footer-contact__heading {
  font-size: 3rem;
  color: #333;
  text-align: center;
}
@media only screen and (max-width: 47.5em) {
  .footer-contact__heading {
    font-size: 2.5rem;
  }
}
.footer-contact__paragraph {
  font-size: 2.5rem;
  margin: 1rem 0 4rem;
  text-align: center;
}
@media only screen and (max-width: 47.5em) {
  .footer-contact__paragraph {
    font-size: 2rem;
  }
}
.footer-input-groups {
  display: flex;
  justify-content: center;
}
@media only screen and (max-width: 35em) {
  .footer-input-groups {
    flex-wrap: wrap;
  }
}
.footer-input-groups input {
  font-size: 1.6rem;
  padding: 1rem;
  margin: 1rem 0.5rem;
  border: 0.1rem solid #1a1a1a;
  border-radius: 3px;
  outline: none;
  transition: border 0.5s;
}
.footer-input-groups input:focus:not([type=submit]) {
  border: 0.1rem solid #9c6209;
}
.footer-input-groups__text {
  width: 50%;
}
@media only screen and (max-width: 35em) {
  .footer-input-groups__text {
    width: 100%;
  }
}
.footer-input-groups__email {
  width: 60%;
}
@media only screen and (max-width: 35em) {
  .footer-input-groups__email {
    width: 100%;
  }
}
.footer-input-groups__btn {
  width: 40%;
  color: #ffe;
  background-color: #666666;
  transition: all 0.2s;
}
.footer-input-groups__btn:hover {
  background-color: #333;
}
@media only screen and (max-width: 35em) {
  .footer-input-groups__btn {
    width: 100%;
  }
}
.footer-social-icons__list {
  display: flex;
  justify-content: space-between;
  padding: 1rem;
  box-sizing: inherit;
  margin-top: 2rem;
}
.footer-social-icons__link:link, .footer-social-icons__link:visited {
  display: block;
  width: 4rem;
  aspect-ratio: 1/1;
  border-radius: 50%;
  border: 0.1rem solid #333;
  display: flex;
  justify-content: center;
  align-items: center;
}
@media only screen and (max-width: 35em) {
  .footer-social-icons__link:link, .footer-social-icons__link:visited {
    width: 3rem;
  }
}
.footer-social-icons__link:link i, .footer-social-icons__link:visited i {
  font-size: 2rem;
}
@media only screen and (max-width: 35em) {
  .footer-social-icons__link:link i, .footer-social-icons__link:visited i {
    font-size: 1.8rem;
  }
}
.footer-social-icons__item:nth-child(1) .footer-social-icons__link {
  color: #3b5998;
  border: 0.1rem solid #3b5998;
  transition: all 0.3s;
}
.footer-social-icons__item:nth-child(1) .footer-social-icons__link:hover {
  background-color: #3c5b9c;
  color: white;
  border: none;
}
.footer-social-icons__item:nth-child(2) .footer-social-icons__link {
  color: #b31217;
  border: 0.1rem solid #b31217;
  transition: all 0.3s;
}
.footer-social-icons__item:nth-child(2) .footer-social-icons__link:hover {
  background-color: #b81218;
  color: white;
  border: none;
}
.footer-social-icons__item:nth-child(3) .footer-social-icons__link {
  color: #dc4e41;
  border: 0.1rem solid #dc4e41;
  transition: all 0.3s;
}
.footer-social-icons__item:nth-child(3) .footer-social-icons__link:hover {
  background-color: #dd5245;
  color: white;
  border: none;
}
.footer-social-icons__item:nth-child(4) .footer-social-icons__link {
  color: #55acee;
  border: 0.1rem solid #55acee;
  transition: all 0.3s;
}
.footer-social-icons__item:nth-child(4) .footer-social-icons__link:hover {
  background-color: #5aaeee;
  color: white;
  border: none;
}
.footer-social-icons__item:nth-child(5) .footer-social-icons__link {
  color: #517fa4;
  border: 0.1rem solid #517fa4;
  transition: all 0.3s;
}
.footer-social-icons__item:nth-child(5) .footer-social-icons__link:hover {
  background-color: #5382a7;
  color: white;
  border: none;
}
.footer-social-icons__item:nth-child(6) .footer-social-icons__link {
  color: #0077b5;
  border: 0.1rem solid #0077b5;
  transition: all 0.3s;
}
.footer-social-icons__item:nth-child(6) .footer-social-icons__link:hover {
  background-color: #007aba;
  color: white;
  border: none;
}

.first-nav {
  grid-row: 1 / 2;
  grid-column: 7 / -1;
}
.first-nav__list {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 100%;
}
.first-nav__link:link, .first-nav__link:visited {
  font-size: 1.8rem;
  color: #333;
  transition: all 0.3s;
}
.first-nav__link:hover, .first-nav__link:active {
  color: #999999;
}
@media only screen and (max-width: 75em) {
  .first-nav {
    grid-column: 6/-1;
  }
}
@media only screen and (max-width: 62.5em) {
  .first-nav {
    grid-column: 5/-1;
  }
}
@media only screen and (max-width: 47.5em) {
  .first-nav {
    grid-column: 4/-1;
  }
}
@media only screen and (max-width: 35em) {
  .first-nav {
    grid-column: 2/-1;
  }
}

.second-nav {
  grid-row: 3 / 4;
  grid-column: 3 / 8;
}
.second-nav__list {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 100%;
}
.second-nav__link:link, .second-nav__link:visited {
  font-size: 1.8rem;
  color: #333;
  transition: all 0.3s;
}
.second-nav__link:hover, .second-nav__link:active {
  color: #999999;
}
@media only screen and (max-width: 62.5em) {
  .second-nav {
    grid-column: 2/9;
  }
}
@media only screen and (max-width: 47.5em) {
  .second-nav {
    grid-column: 1/-1;
  }
}

.products {
  grid-row: 3 / 4;
  grid-column: 1 / -1;
  margin-bottom: 10rem;
}
.products-heading {
  margin: 5rem 0;
}
.products-heading__text {
  text-align: center;
  font-size: 4.5rem;
  font-weight: 300;
  color: #333;
}
.products-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 5rem;
}
.products-btn {
  display: flex;
  justify-content: center;
  align-items: center;
}

.slideshow {
  grid-row: 2 / 3;
  grid-column: 1  / -1;
  width: 100%;
  height: 80vh;
  position: relative;
}
@media only screen and (max-width: 75em) {
  .slideshow {
    height: 70vh;
  }
}
@media only screen and (max-width: 62.5em) {
  .slideshow {
    height: 60vh;
  }
}
@media only screen and (max-width: 47.5em) {
  .slideshow {
    height: 50vh;
  }
}
.slideshow-slide {
  position: absolute;
  top: 0;
  left: 0;
  width: inherit;
  height: inherit;
  visibility: hidden;
  opacity: 0;
  animation: slideshow 20s linear infinite;
}
.slideshow-slide > img {
  width: inherit;
  height: inherit;
  object-fit: cover;
}
.slideshow-content {
  background-color: rgba(255, 255, 238, 0.9);
  position: absolute;
  bottom: 6rem;
  left: 6rem;
  right: 6rem;
  max-width: 40rem;
  padding: 5rem;
  border-radius: 5px;
}
@media only screen and (max-width: 62.5em) {
  .slideshow-content {
    padding: 2rem;
  }
}
.slideshow-content > h2 {
  font-size: 4.2rem;
  color: #333;
}
.slideshow-content > p {
  margin: 1rem 0;
  font-size: 1.8rem;
}

.slideshow-slide:nth-child(1) {
  animation-delay: 0s;
}

.slideshow-slide:nth-child(2) {
  animation-delay: 4s;
}

.slideshow-slide:nth-child(3) {
  animation-delay: 8s;
}

.slideshow-slide:nth-child(4) {
  animation-delay: 12s;
}

.slideshow-slide:nth-child(5) {
  animation-delay: 16s;
}

/*# sourceMappingURL=style.comp.css.map */
